package org.dromara.biz.mapper;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;
import java.util.Map;

/**
 * 自定义SQL Mapper接口
 *
 * @author YIN
 * @date 2025-05-21
 */
public interface CustomSQLMapper {

    @Select("${sql}")
    Map selectOne(String sql);

    @Select("${sql}")
    List<Map> selectList(String sql);

    @Insert("${sql}")
    int insertOne(String sql);

    @Update("${sql}")
    int updateOne(String sql);

    @Delete("${sql}")
    int deleteOne(String sql);

}
